<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>

</body>
<script>
    function factorialize(n) {
        if (n < 0)
            return -1;
        else if (n == 0)
            return 1;
        else {
            return (n * factorialize(n - 1));
        }
    }

    console.log(factorialize(0));
    console.log(factorialize(-2));
    console.log(factorialize(5));
</script>

</html>